Cannot reinstall CUPS [SOLVED]

Questions about applications and software
Forum rules
Before you post please read how to get help
betacentauri
Level 1
Level 1
Posts: 21
Joined: Sun Oct 17, 2010 3:42 pm

Cannot reinstall CUPS [SOLVED]

Postby betacentauri » Thu Oct 12, 2017 6:58 pm

Evil tinkering, my bad.
So we got a new HP printer, with a scanner. Wished to use the scanner using simple-scan, no luck. Installed xsane, nope. Tried to reinstall hplip, the thing got removed but not reinstalled. Things got worse. In despair, went down the evil way of try-and-remove-this-and-that. Should have known better.

Now I removed cups and of course I can't even print- Not only that, but it can't be reinstalled:

The following packages have unmet dependencies:

Code: Select all

 cups : Depends: libcups2 (= 1.7.5-11+deb8u1) but 2.2.1-8~bpo8+1 is to be installed
        Depends: cups-core-drivers (>= 1.7.5-11+deb8u1)
        Depends: cups-daemon (>= 1.7.5-11+deb8u1)
E: Unable to correct problems, you have held broken packages.


I can't have my printer detected, nor can my Print Settings connect to any CUPS server as I have any and no other machine in the network is available.
What should I do?
Last edited by betacentauri on Fri Oct 13, 2017 7:59 am, edited 1 time in total.

User avatar
WharfRat
Level 19
Level 19
Posts: 9968
Joined: Thu Apr 07, 2011 8:15 pm

Re: Cannot reinstall CUPS

Postby WharfRat » Thu Oct 12, 2017 11:18 pm

What does dpkg -C return :?:
Image ImageImage

betacentauri
Level 1
Level 1
Posts: 21
Joined: Sun Oct 17, 2010 3:42 pm

Re: Cannot reinstall CUPS

Postby betacentauri » Fri Oct 13, 2017 7:58 am

Thank you for your response, WharfRat -

Code: Select all

aptitude install -f
fixed the CUPS problem.


Return to “Software & Applications”